Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joda.time.field
Class DelegatedDurationField

    java.lang.Object
      org.joda.time.DurationField
          org.joda.time.field.DelegatedDurationField

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class DelegatedDurationField

extends DurationField
implements java.io.Serializable

`DelegatedDurationField` delegates each method call to the duration field it wraps.

DelegatedDurationField is thread-safe and immutable, and its subclasses must be as well.

Since:
  1.0
Author:
  Brian S O'Neill
See Also:
  `DecoratedDurationField`, Serialized Form

Constructor Summary
`protected` | `DelegatedDurationField(DurationField field)` Constructor.
`protected` | `DelegatedDurationField(DurationField field, DurationFieldType type)` Constructor.

Method Summary
`long` | `add(long instant, int value)` Adds a duration value (which may be negative) to the instant.
`long` | `add(long instant, long value)` Adds a duration value (which may be negative) to the instant.
`int` | `compareTo(java.lang.Object durationField)` Compares this duration field with another duration field for ascending unit millisecond order.
`int` | `getDifference(long minuendInstant, long subtrahendInstant)` Computes the difference between two instants, as measured in the units of this field.
`long` | `getDifferenceAsLong(long minuendInstant, long subtrahendInstant)` Computes the difference between two instants, as measured in the units of this field.
`long` | `getMillis(int value)` Get the millisecond duration of this field from its value, which is approximate if this field is imprecise.
`long` | `getMillis(int value, long instant)` Get the millisecond duration of this field from its value relative to an instant.
`long` | `getMillis(long value)` Get the millisecond duration of this field from its value, which is approximate if this field is imprecise.
`long` | `getMillis(long value, long instant)` Get the millisecond duration of this field from its value relative to an instant.
`java.lang.String` | `getName()` Get the name of the field.
`DurationFieldType` | `getType()` Get the type of the field.
`long` | `getUnitMillis()` Returns the amount of milliseconds per unit value of this field.
`int` | `getValue(long duration)` Get the value of this field from the milliseconds, which is approximate if this field is imprecise.
`int` | `getValue(long duration, long instant)` Get the value of this field from the milliseconds relative to an instant.
`long` | `getValueAsLong(long duration)` Get the value of this field from the milliseconds, which is approximate if this field is imprecise.
`long` | `getValueAsLong(long duration, long instant)` Get the value of this field from the milliseconds relative to an instant.
`DurationField` | `getWrappedField()` Gets the wrapped duration field.
`boolean` | `isPrecise()` Is this field precise.
`boolean` | `isSupported()` Returns true if this field is supported.
`java.lang.String` | `toString()` Get a suitable debug string.

Methods inherited from class org.joda.time.DurationField
`subtract, subtract`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatedDurationField

    protected DelegatedDurationField(DurationField field)

  Constructor.

  Parameters:
    `field` - the base field

### DelegatedDurationField

    protected DelegatedDurationField(DurationField field,
                                     DurationFieldType type)

  Constructor.

  Parameters:
    `field` - the base field
    `type` - the field type to use

Method Detail

### getWrappedField

    public final DurationField getWrappedField()

  Gets the wrapped duration field.

  Returns:
    the wrapped DurationField

### getType

    public DurationFieldType getType()

  Description copied from class: `DurationField`
  Get the type of the field.

  Specified by:
    `getType` in class `DurationField`
  Returns:
    field type

### getName

    public java.lang.String getName()

  Description copied from class: `DurationField`
  Get the name of the field.

  By convention, names are plural.

  Specified by:
    `getName` in class `DurationField`
  Returns:
    field name

### isSupported

    public boolean isSupported()

  Returns true if this field is supported.

  Specified by:
    `isSupported` in class `DurationField`
  Returns:
    true if this field is supported

### isPrecise

    public boolean isPrecise()

  Description copied from class: `DurationField`
  Is this field precise. A precise field can calculate its value from milliseconds without needing a reference date. Put another way, a precise field's unit size is not variable.

  Specified by:
    `isPrecise` in class `DurationField`
  Returns:
    true if precise
  See Also:
    `DurationField.getUnitMillis()`

### getValue

    public int getValue(long duration)

  Description copied from class: `DurationField`
  Get the value of this field from the milliseconds, which is approximate if this field is imprecise.

  Specified by:
    `getValue` in class `DurationField`
  Parameters:
    `duration` - the milliseconds to query, which may be negative
  Returns:
    the value of the field, in the units of the field, which may be negative

### getValueAsLong

    public long getValueAsLong(long duration)

  Description copied from class: `DurationField`
  Get the value of this field from the milliseconds, which is approximate if this field is imprecise.

  Specified by:
    `getValueAsLong` in class `DurationField`
  Parameters:
    `duration` - the milliseconds to query, which may be negative
  Returns:
    the value of the field, in the units of the field, which may be negative

### getValue

    public int getValue(long duration,
                        long instant)

  Description copied from class: `DurationField`
  Get the value of this field from the milliseconds relative to an instant. For precise fields this method produces the same result as for the single argument get method.

  If the millisecond duration is positive, then the instant is treated as a "start instant". If negative, the instant is treated as an "end instant".

  Specified by:
    `getValue` in class `DurationField`
  Parameters:
    `duration` - the milliseconds to query, which may be negative
    `instant` - the start instant to calculate relative to
  Returns:
    the value of the field, in the units of the field, which may be negative

### getValueAsLong

    public long getValueAsLong(long duration,
                               long instant)

  Description copied from class: `DurationField`
  Get the value of this field from the milliseconds relative to an instant. For precise fields this method produces the same result as for the single argument get method.

  If the millisecond duration is positive, then the instant is treated as a "start instant". If negative, the instant is treated as an "end instant".

  Specified by:
    `getValueAsLong` in class `DurationField`
  Parameters:
    `duration` - the milliseconds to query, which may be negative
    `instant` - the start instant to calculate relative to
  Returns:
    the value of the field, in the units of the field, which may be negative

### getMillis

    public long getMillis(int value)

  Description copied from class: `DurationField`
  Get the millisecond duration of this field from its value, which is approximate if this field is imprecise.

  Specified by:
    `getMillis` in class `DurationField`
  Parameters:
    `value` - the value of the field, which may be negative
  Returns:
    the milliseconds that the field represents, which may be negative

### getMillis

    public long getMillis(long value)

  Description copied from class: `DurationField`
  Get the millisecond duration of this field from its value, which is approximate if this field is imprecise.

  Specified by:
    `getMillis` in class `DurationField`
  Parameters:
    `value` - the value of the field, which may be negative
  Returns:
    the milliseconds that the field represents, which may be negative

### getMillis

    public long getMillis(int value,
                          long instant)

  Description copied from class: `DurationField`
  Get the millisecond duration of this field from its value relative to an instant. For precise fields this method produces the same result as for the single argument getMillis method.

  If the value is positive, then the instant is treated as a "start instant". If negative, the instant is treated as an "end instant".

  Specified by:
    `getMillis` in class `DurationField`
  Parameters:
    `value` - the value of the field, which may be negative
    `instant` - the instant to calculate relative to
  Returns:
    the millisecond duration that the field represents, which may be negative

### getMillis

    public long getMillis(long value,
                          long instant)

  Description copied from class: `DurationField`
  Get the millisecond duration of this field from its value relative to an instant. For precise fields this method produces the same result as for the single argument getMillis method.

  If the value is positive, then the instant is treated as a "start instant". If negative, the instant is treated as an "end instant".

  Specified by:
    `getMillis` in class `DurationField`
  Parameters:
    `value` - the value of the field, which may be negative
    `instant` - the instant to calculate relative to
  Returns:
    the millisecond duration that the field represents, which may be negative

### add

    public long add(long instant,
                    int value)

  Description copied from class: `DurationField`
  Adds a duration value (which may be negative) to the instant.

  Specified by:
    `add` in class `DurationField`
  Parameters:
    `instant` - the milliseconds from 1970-01-01T00:00:00Z to add to
    `value` - the value to add, in the units of the field
  Returns:
    the updated milliseconds

### add

    public long add(long instant,
                    long value)

  Description copied from class: `DurationField`
  Adds a duration value (which may be negative) to the instant.

  Specified by:
    `add` in class `DurationField`
  Parameters:
    `instant` - the milliseconds from 1970-01-01T00:00:00Z to add to
    `value` - the value to add, in the units of the field
  Returns:
    the updated milliseconds

### getDifference

    public int getDifference(long minuendInstant,
                             long subtrahendInstant)

  Description copied from class: `DurationField`
  Computes the difference between two instants, as measured in the units of this field. Any fractional units are dropped from the result. Calling getDifference reverses the effect of calling add. In the following code:

       long instant = ...
       int v = ...
       int age = getDifference(add(instant, v), instant);

  The value 'age' is the same as the value 'v'.

  Specified by:
    `getDifference` in class `DurationField`
  Parameters:
    `minuendInstant` - the milliseconds from 1970-01-01T00:00:00Z to subtract from
    `subtrahendInstant` - the milliseconds from 1970-01-01T00:00:00Z to subtract off the minuend
  Returns:
    the difference in the units of this field

### getDifferenceAsLong

    public long getDifferenceAsLong(long minuendInstant,
                                    long subtrahendInstant)

  Description copied from class: `DurationField`
  Computes the difference between two instants, as measured in the units of this field. Any fractional units are dropped from the result. Calling getDifference reverses the effect of calling add. In the following code:

       long instant = ...
       long v = ...
       long age = getDifferenceAsLong(add(instant, v), instant);

  The value 'age' is the same as the value 'v'.

  Specified by:
    `getDifferenceAsLong` in class `DurationField`
  Parameters:
    `minuendInstant` - the milliseconds from 1970-01-01T00:00:00Z to subtract from
    `subtrahendInstant` - the milliseconds from 1970-01-01T00:00:00Z to subtract off the minuend
  Returns:
    the difference in the units of this field

### getUnitMillis

    public long getUnitMillis()

  Description copied from class: `DurationField`
  Returns the amount of milliseconds per unit value of this field. For example, if this field represents "seconds", then this returns the milliseconds in one second.

  For imprecise fields, the unit size is variable, and so this method returns a suitable average value.

  Specified by:
    `getUnitMillis` in class `DurationField`
  Returns:
    the unit size of this field, in milliseconds
  See Also:
    `DurationField.isPrecise()`

### compareTo

    public int compareTo(java.lang.Object durationField)

  Description copied from class: `DurationField`
  Compares this duration field with another duration field for ascending unit millisecond order. This ordering is inconsistent with equals, as it ignores name and precision.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Specified by:
    `compareTo` in class `DurationField`
  Parameters:
    `durationField` - a duration field to check against
  Returns:
    negative value if this is less, 0 if equal, or positive value if greater

### toString

    public java.lang.String toString()

  Description copied from class: `DurationField`
  Get a suitable debug string.

  Specified by:
    `toString` in class `DurationField`
  Returns:
    debug string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD